using System;
using System.Collections.Generic;
using System.Linq;

namespace _1
{
    class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            int m = 10, n = 1;
            var l = new List<int>();
            for(int i = 0; i < Math.Min(x.ToString().Length, y.ToString().Length); i++)
            {
                if ((x % m) / n > (y % m) / n)
                    l.Add((x % m) / n);
                else if ((x % m) / n < (y % m) / n)
                    l.Add((y % m) / n);
                else
                {
                    l.Add((x % m) / n);
                    l.Add((y % m) / n);
                }
                m *= 10;
                n *= 10;
            }
            int p = 0;
            if (x.ToString().Length > y.ToString().Length)
                p = x / (m / 10);
            else
                p = y / (m / 10);
            if (p != 0)
                Console.Write(p);
            l.Reverse();
            foreach (int g in l)
                Console.Write(g);
        }
    }
}